@echo off

if not exist "logs" mkdir logs
:RESTART
jre\bin\java.exe -Xms1536m -Xmx1536m -Xmn512M -XX:MaxPermSize=192m -XX:PermSize=128m -XX:+UseConcMarkSweepGC -XX:CMSInitiatingOccupancyFraction=80 -XX:+UseCMSInitiatingOccupancyOnly -XX:+UseParNewGC -XX:+CMSParallelRemarkEnabled -XX:+DisableExplicitGC -XX:SurvivorRatio=5 -XX:TargetSurvivorRatio=90 -XX:AutoBoxCacheMax=20000 -XX:BiasedLockingStartupDelay=500 -XX:+UseFPUForSpilling -XX:+UseFastAccessorMethods -XX:+UseBiasedLocking -XX:+UseCompressedOops -XX:+HeapDumpOnOutOfMemoryError  -verbose:gc -XX:+PrintGCTimeStamps -XX:+PrintGCDetails -XX:+PrintTenuringDistribution -Xloggc:logs\gc.log -jar inspectit-cmr.jar

if ERRORLEVEL 10 (
	echo Restarting CMR...
	goto RESTART
)